summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Chris Abela2020-04-01 19:16:57 +0200
committer Willy Sudiarto Raharjo2020-04-01 19:16:57 +0200
commitb605c4881123b1f9f59f05001665ef00797c87b5 (patch)
treecb2206e720f8708958b0a37118bd22d096c88db3
parenteec81ce482e3880468b118515946ca852fc3f2a5 (diff)
downloadslackbuilds-b605c4881123b1f9f59f05001665ef00797c87b5.tar.gz
multimedia/LBRY: Added (Browser to LBRY Network).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/LBRY/LBRY.SlackBuild75
-rw-r--r--multimedia/LBRY/LBRY.info10
-rw-r--r--multimedia/LBRY/README7
-rw-r--r--multimedia/LBRY/doinst.sh13
-rw-r--r--multimedia/LBRY/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/multimedia/LBRY/LBRY.SlackBuild b/multimedia/LBRY/LBRY.SlackBuild
new file mode 100644
index 0000000000..e266a06e40
--- /dev/null
+++ b/multimedia/LBRY/LBRY.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for LBRY
+
+# Copyright 2020, Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=LBRY
+VERSION=${VERSION:-0.43.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_$VERSION.deb data.tar.xz | tar xJv
+mkdir usr/{bin,doc}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+ln -s /opt/LBRY/lbry usr/bin/lbry
+mv usr/share/doc/lbry usr/doc/$PRGNAM-$VERSION
+rm -rf usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/LBRY/LBRY.info b/multimedia/LBRY/LBRY.info
new file mode 100644
index 0000000000..5e6a32538c
--- /dev/null
+++ b/multimedia/LBRY/LBRY.info
@@ -0,0 +1,10 @@
+PRGNAM="LBRY"
+VERSION="0.43.4"
+HOMEPAGE="https://lbry.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/lbryio/lbry-desktop/releases/download/v0.43.4/LBRY_0.43.4.deb"
+MD5SUM_x86_64="8c18dd16046bc27ce22d4ecb7bf9dbf7"
+REQUIRES=""
+MAINTAINER="Chris Abela"
+EMAIL="kristofru@gmail.com"
diff --git a/multimedia/LBRY/README b/multimedia/LBRY/README
new file mode 100644
index 0000000000..a5f56b63c9
--- /dev/null
+++ b/multimedia/LBRY/README
@@ -0,0 +1,7 @@
+LBRY (A browser for the LBRY network)
+
+LBRY is a browser for the LBRY network; a digital marketplace
+controlled by its users.
+
+This is a re-packinging of the upstream Debian x86_64 binary
+package.
diff --git a/multimedia/LBRY/doinst.sh b/multimedia/LBRY/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/multimedia/LBRY/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/LBRY/slack-desc b/multimedia/LBRY/slack-desc
new file mode 100644
index 0000000000..44acb0dbaa
--- /dev/null
+++ b/multimedia/LBRY/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+LBRY: LBRY (A browser for the LBRY network)
+LBRY:
+LBRY: LBRY is a browser for the LBRY network; a digital marketplace
+LBRY: controlled by its users.
+LBRY:
+LBRY: This is a re-packinging of the upstream Debian binary package.
+LBRY:
+LBRY:
+LBRY:
+LBRY:
+LBRY: